Bug 1319287 - Can't create a puppet module repo on capsule
Summary: Can't create a puppet module repo on capsule
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Content Management
Version: 6.0.4
Hardware: Unspecified
OS: Unspecified
unspecified
high vote
Target Milestone: Unspecified
Assignee: John Mitsch
QA Contact: Jitendra Yejare
URL: http://projects.theforeman.org/issues...
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-03-18 17:49 UTC by John Mitsch
Modified: 2019-09-25 21:29 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-07-27 09:27:56 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Foreman Issue Tracker 13998 None None None 2016-04-22 16:02:47 UTC
Red Hat Product Errata RHBA-2016:1501 normal SHIPPED_LIVE Red Hat Satellite 6.2 Capsule and Server 2016-07-27 12:28:58 UTC

Description John Mitsch 2016-03-18 17:49:49 UTC
To reproduce

1) create a product
2) create a puppet repo
3) add puppet modules to that repo
4) create a content view
5) add puppet modules to that content view
6) publish content view

<pre>
Action:
Actions::Katello::ContentView::Publish
Input:
{"content_view"=>{"id"=>2, "name"=>"cv1", "label"=>"cv1"},
 "organization"=>
  {"id"=>1, "name"=>"Default Organization", "label"=>"Default_Organization"},
 "services_checked"=>["pulp", "pulp_auth", "candlepin", "candlepin_auth"],
 "history_id"=>4,
 "content_view_id"=>2,
 "environment_id"=>1,
 "user_id"=>3,
 "current_user_id"=>3,
 "locale"=>"en"}
Output:
{}
Exception:
NoMethodError: undefined method `library_instance' for #<Katello::ContentViewPuppetEnvironment:0x007fcac1611cf8>
Backtrace:
/home/vagrant/.rvm/gems/ruby-2.2.4/gems/activemodel-4.1.14.1/lib/active_model/attribute_methods.rb:435:in `method_missing'
/home/vagrant/.rvm/gems/ruby-2.2.4/gems/activerecord-4.1.14.1/lib/active_record/attribute_methods.rb:213:in `method_missing'
/home/vagrant/katello/app/lib/actions/katello/capsule_content/create_or_update.rb:41:in `create_repo_in_pulp'
/home/vagrant/katello/app/lib/actions/katello/capsule_content/create_or_update.rb:15:in `block in plan'
/home/vagrant/katello/app/lib/actions/katello/capsule_content/create_or_update.rb:14:in `each'
/home/vagrant/katello/app/lib/actions/katello/capsule_content/create_or_update.rb:14:in `plan'
/home/vagrant/.rvm/gems/ruby-2.2.4/gems/dynflow-0.8.10/lib/dynflow/action.rb:461:in `block (3 levels) in execute_plan'
/home/vagrant/.rvm/gems/ruby-2.2.4/gems/dynflow-0.8.10/lib/dynflow/middleware/stack.rb:26:in `call'
/home/vagrant/.rvm/gems/ruby-2.2.4/gems/dynflow-0.8.10/lib/dynflow/middleware/stack.rb:26:in `pass'
/home/vagrant/.rvm/gems/ruby-2.2.4/gems/dynflow-0.8.10/lib/dynflow/middleware.rb:17:in `pass'
/home/vagrant/.rvm/gems/ruby-2.2.4/gems/dynflow-0.8.10/lib/dynflow/middleware.rb:34:in `plan'
/home/vagrant/.rvm/gems/ruby-2.2.4/gems/dynflow-0.8.10/lib/dynflow/middleware/stack.rb:22:in `call'
/home/vagrant/.rvm/gems/ruby-2.2.4/gems/dynflow-0.8.10/lib/dynflow/middleware/stack.rb:26:in `pass'
/home/vagrant/.rvm/gems/ruby-2.2.4/gems/dynflow-0.8.10/lib/dynflow/middleware.rb:17:in `pass'
/home/vagrant/katello/app/lib/actions/middleware/keep_locale.rb:7:in `plan'
/home/vagrant/.rvm/gems/ruby-2.2.4/gems/dynflow-0.8.10/lib/dynflow/middleware/stack.rb:22:in `call'
/home/vagrant/.rvm/gems/ruby-2.2.4/gems/dynflow-0.8.10/lib/dynflow/middleware/stack.rb:26:in `pass'
/home/vagrant/.rvm/gems/ruby-2.2.4/gems/dynflow-0.8.10/lib/dynflow/middleware.rb:17:in `pass'
/home/vagrant/.rvm/gems/ruby-2.2.4/gems/dynflow-0.8.10/lib/dynflow/middleware.rb:34:in `plan'
/home/vagrant/.rvm/gems/ruby-2.2.4/gems/dynflow-0.8.10/lib/dynflow/middleware/stack.rb:22:in `call'
/home/vagrant/.rvm/gems/ruby-2.2.4/gems/dynflow-0.8.10/lib/dynflow/middleware/world.rb:30:in `execute'
/home/vagrant/.rvm/gems/ruby-2.2.4/gems/dynflow-0.8.10/lib/dynflow/action.rb:460:in `block (2 levels) in execute_plan'
/home/vagrant/.rvm/gems/ruby-2.2.4/gems/dynflow-0.8.10/lib/dynflow/execution_plan.rb:277:in `call'
/home/vagrant/.rvm/gems/ruby-2.2.4/gems/dynflow-0.8.10/lib/dynflow/execution_plan.rb:277:in `switch_flow'
/home/vagrant/.rvm/gems/ruby-2.2.4/gems/dynflow-0.8.10/lib/dynflow/action.rb:364:in `concurrence'
/home/vagrant/.rvm/gems/ruby-2.2.4/gems/dynflow-0.8.10/lib/dynflow/action.rb:459:in `block in execute_plan'
/home/vagrant/.rvm/gems/ruby-2.2.4/gems/dynflow-0.8.10/lib/dynflow/action.rb:419:in `call'
/home/vagrant/.rvm/gems/ruby-2.2.4/gems/dynflow-0.8.10/lib/dynflow/action.rb:419:in `block in with_error_handling'
/home/vagrant/.rvm/gems/ruby-2.2.4/gems/dynflow-0.8.10/lib/dynflow/action.rb:419:in `catch'
/home/vagrant/.rvm/gems/ruby-2.2.4/gems/dynflow-0.8.10/lib/dynflow/action.rb:419:in `with_error_handling'
/home/vagrant/.rvm/gems/ruby-2.2.4/gems/dynflow-0.8.10/lib/dynflow/action.rb:458:in `execute_plan'
/home/vagrant/.rvm/gems/ruby-2.2.4/gems/dynflow-0.8.10/lib/dynflow/action.rb:260:in `execute'
/home/vagrant/.rvm/gems/ruby-2.2.4/gems/dynflow-0.8.10/lib/dynflow/execution_plan/steps/plan_step.rb:54:in `block in execute'
/home/vagrant/.rvm/gems/ruby-2.2.4/gems/dynflow-0.8.10/lib/dynflow/execution_plan/steps/abstract.rb:155:in `call'
/home/vagrant/.rvm/gems/ruby-2.2.4/gems/dynflow-0.8.10/lib/dynflow/execution_plan/steps/abstract.rb:155:in `with_meta_calculation'
/home/vagrant/.rvm/gems/ruby-2.2.4/gems/dynflow-0.8.10/lib/dynflow/execution_plan/steps/plan_step.rb:53:in `execute'
/home/vagrant/.rvm/gems/ruby-2.2.4/gems/dynflow-0.8.10/lib/dynflow/action.rb:392:in `plan_action'
/home/vagrant/katello/app/lib/actions/katello/capsule_content/configure_capsule.rb:8:in `block in plan'
/home/vagrant/.rvm/gems/ruby-2.2.4/gems/dynflow-0.8.10/lib/dynflow/execution_plan.rb:277:in `call'
/home/vagrant/.rvm/gems/ruby-2.2.4/gems/dynflow-0.8.10/lib/dynflow/execution_plan.rb:277:in `switch_flow'
/home/vagrant/.rvm/gems/ruby-2.2.4/gems/dynflow-0.8.10/lib/dynflow/action.rb:369:in `sequence'
/home/vagrant/katello/app/lib/actions/katello/capsule_content/configure_capsule.rb:6:in `plan'
/home/vagrant/.rvm/gems/ruby-2.2.4/gems/dynflow-0.8.10/lib/dynflow/action.rb:461:in `block (3 levels) in execute_plan'
/home/vagrant/.rvm/gems/ruby-2.2.4/gems/dynflow-0.8.10/lib/dynflow/middleware/stack.rb:26:in `call'
/home/vagrant/.rvm/gems/ruby-2.2.4/gems/dynflow-0.8.10/lib/dynflow/middleware/stack.rb:26:in `pass'
/home/vagrant/.rvm/gems/ruby-2.2.4/gems/dynflow-0.8.10/lib/dynflow/middleware.rb:17:in `pass'
/home/vagrant/.rvm/gems/ruby-2.2.4/gems/dynflow-0.8.10/lib/dynflow/middleware.rb:34:in `plan'
/home/vagrant/.rvm/gems/ruby-2.2.4/gems/dynflow-0.8.10/lib/dynflow/middleware/stack.rb:22:in `call'
/home/vagrant/.rvm/gems/ruby-2.2.4/gems/dynflow-0.8.10/lib/dynflow/middleware/stack.rb:26:in `pass'
/home/vagrant/.rvm/gems/ruby-2.2.4/gems/dynflow-0.8.10/lib/dynflow/middleware.rb:17:in `pass'
/home/vagrant/katello/app/lib/actions/middleware/keep_locale.rb:7:in `plan'
/home/vagrant/.rvm/gems/ruby-2.2.4/gems/dynflow-0.8.10/lib/dynflow/middleware/stack.rb:22:in `call'
/home/vagrant/.rvm/gems/ruby-2.2.4/gems/dynflow-0.8.10/lib/dynflow/middleware/stack.rb:26:in `pass'
/home/vagrant/.rvm/gems/ruby-2.2.4/gems/dynflow-0.8.10/lib/dynflow/middleware.rb:17:in `pass'
/home/vagrant/.rvm/gems/ruby-2.2.4/gems/dynflow-0.8.10/lib/dynflow/middleware.rb:34:in `plan'
/home/vagrant/.rvm/gems/ruby-2.2.4/gems/dynflow-0.8.10/lib/dynflow/middleware/stack.rb:22:in `call'
/home/vagrant/.rvm/gems/ruby-2.2.4/gems/dynflow-0.8.10/lib/dynflow/middleware/world.rb:30:in `execute'
/home/vagrant/.rvm/gems/ruby-2.2.4/gems/dynflow-0.8.10/lib/dynflow/action.rb:460:in `block (2 levels) in execute_plan'
/home/vagrant/.rvm/gems/ruby-2.2.4/gems/dynflow-0.8.10/lib/dynflow/execution_plan.rb:277:in `call'
/home/vagrant/.rvm/gems/ruby-2.2.4/gems/dynflow-0.8.10/lib/dynflow/execution_plan.rb:277:in `switch_flow'
/home/vagrant/.rvm/gems/ruby-2.2.4/gems/dynflow-0.8.10/lib/dynflow/action.rb:364:in `concurrence'
/home/vagrant/.rvm/gems/ruby-2.2.4/gems/dynflow-0.8.10/lib/dynflow/action.rb:459:in `block in execute_plan'
/home/vagrant/.rvm/gems/ruby-2.2.4/gems/dynflow-0.8.10/lib/dynflow/action.rb:419:in `call'
/home/vagrant/.rvm/gems/ruby-2.2.4/gems/dynflow-0.8.10/lib/dynflow/action.rb:419:in `block in with_error_handling'
/home/vagrant/.rvm/gems/ruby-2.2.4/gems/dynflow-0.8.10/lib/dynflow/action.rb:419:in `catch'
/home/vagrant/.rvm/gems/ruby-2.2.4/gems/dynflow-0.8.10/lib/dynflow/action.rb:419:in `with_error_handling'
/home/vagrant/.rvm/gems/ruby-2.2.4/gems/dynflow-0.8.10/lib/dynflow/action.rb:458:in `execute_plan'
/home/vagrant/.rvm/gems/ruby-2.2.4/gems/dynflow-0.8.10/lib/dynflow/action.rb:260:in `execute'
/home/vagrant/.rvm/gems/ruby-2.2.4/gems/dynflow-0.8.10/lib/dynflow/execution_plan/steps/plan_step.rb:54:in `block in execute'
/home/vagrant/.rvm/gems/ruby-2.2.4/gems/dynflow-0.8.10/lib/dynflow/execution_plan/steps/abstract.rb:155:in `call'
/home/vagrant/.rvm/gems/ruby-2.2.4/gems/dynflow-0.8.10/lib/dynflow/execution_plan/steps/abstract.rb:155:in `with_meta_calculation'
/home/vagrant/.rvm/gems/ruby-2.2.4/gems/dynflow-0.8.10/lib/dynflow/execution_plan/steps/plan_step.rb:53:in `execute'
/home/vagrant/.rvm/gems/ruby-2.2.4/gems/dynflow-0.8.10/lib/dynflow/action.rb:392:in `plan_action'
/home/vagrant/katello/app/lib/actions/katello/capsule_content/sync.rb:25:in `block in plan'
/home/vagrant/.rvm/gems/ruby-2.2.4/gems/dynflow-0.8.10/lib/dynflow/execution_plan.rb:277:in `call'
/home/vagrant/.rvm/gems/ruby-2.2.4/gems/dynflow-0.8.10/lib/dynflow/execution_plan.rb:277:in `switch_flow'
/home/vagrant/.rvm/gems/ruby-2.2.4/gems/dynflow-0.8.10/lib/dynflow/action.rb:369:in `sequence'
/home/vagrant/katello/app/lib/actions/katello/capsule_content/sync.rb:24:in `plan'
/home/vagrant/.rvm/gems/ruby-2.2.4/gems/dynflow-0.8.10/lib/dynflow/action.rb:461:in `block (3 levels) in execute_plan'
/home/vagrant/.rvm/gems/ruby-2.2.4/gems/dynflow-0.8.10/lib/dynflow/middleware/stack.rb:26:in `call'
/home/vagrant/.rvm/gems/ruby-2.2.4/gems/dynflow-0.8.10/lib/dynflow/middleware/stack.rb:26:in `pass'
/home/vagrant/.rvm/gems/ruby-2.2.4/gems/dynflow-0.8.10/lib/dynflow/middleware.rb:17:in `pass'
/home/vagrant/.rvm/gems/ruby-2.2.4/gems/dynflow-0.8.10/lib/dynflow/middleware.rb:34:in `plan'
/home/vagrant/.rvm/gems/ruby-2.2.4/gems/dynflow-0.8.10/lib/dynflow/middleware/stack.rb:22:in `call'
/home/vagrant/.rvm/gems/ruby-2.2.4/gems/dynflow-0.8.10/lib/dynflow/middleware/stack.rb:26:in `pass'
/home/vagrant/.rvm/gems/ruby-2.2.4/gems/dynflow-0.8.10/lib/dynflow/middleware.rb:17:in `pass'
/home/vagrant/katello/app/lib/actions/middleware/keep_locale.rb:7:in `plan'
/home/vagrant/.rvm/gems/ruby-2.2.4/gems/dynflow-0.8.10/lib/dynflow/middleware/stack.rb:22:in `call'
/home/vagrant/.rvm/gems/ruby-2.2.4/gems/dynflow-0.8.10/lib/dynflow/middleware/stack.rb:26:in `pass'
/home/vagrant/.rvm/gems/ruby-2.2.4/gems/dynflow-0.8.10/lib/dynflow/middleware.rb:17:in `pass'
/home/vagrant/.rvm/gems/ruby-2.2.4/gems/dynflow-0.8.10/lib/dynflow/middleware.rb:34:in `plan'
/home/vagrant/.rvm/gems/ruby-2.2.4/gems/dynflow-0.8.10/lib/dynflow/middleware/stack.rb:22:in `call'
/home/vagrant/.rvm/gems/ruby-2.2.4/gems/dynflow-0.8.10/lib/dynflow/middleware/world.rb:30:in `execute'
/home/vagrant/.rvm/gems/ruby-2.2.4/gems/dynflow-0.8.10/lib/dynflow/action.rb:460:in `block (2 levels) in execute_plan'
/home/vagrant/.rvm/gems/ruby-2.2.4/gems/dynflow-0.8.10/lib/dynflow/execution_plan.rb:277:in `call'
/home/vagrant/.rvm/gems/ruby-2.2.4/gems/dynflow-0.8.10/lib/dynflow/execution_plan.rb:277:in `switch_flow'
/home/vagrant/.rvm/gems/ruby-2.2.4/gems/dynflow-0.8.10/lib/dynflow/action.rb:364:in `concurrence'
/home/vagrant/.rvm/gems/ruby-2.2.4/gems/dynflow-0.8.10/lib/dynflow/action.rb:459:in `block in execute_plan'
/home/vagrant/.rvm/gems/ruby-2.2.4/gems/dynflow-0.8.10/lib/dynflow/action.rb:419:in `call'
/home/vagrant/.rvm/gems/ruby-2.2.4/gems/dynflow-0.8.10/lib/dynflow/action.rb:419:in `block in with_error_handling'
/home/vagrant/.rvm/gems/ruby-2.2.4/gems/dynflow-0.8.10/lib/dynflow/action.rb:419:in `catch'
/home/vagrant/.rvm/gems/ruby-2.2.4/gems/dynflow-0.8.10/lib/dynflow/action.rb:419:in `with_error_handling'
/home/vagrant/.rvm/gems/ruby-2.2.4/gems/dynflow-0.8.10/lib/dynflow/action.rb:458:in `execute_plan'
/home/vagrant/.rvm/gems/ruby-2.2.4/gems/dynflow-0.8.10/lib/dynflow/action.rb:260:in `execute'
/home/vagrant/.rvm/gems/ruby-2.2.4/gems/dynflow-0.8.10/lib/dynflow/execution_plan/steps/plan_step.rb:54:in `block in execute'
/home/vagrant/.rvm/gems/ruby-2.2.4/gems/dynflow-0.8.10/lib/dynflow/execution_plan/steps/abstract.rb:155:in `call'
/home/vagrant/.rvm/gems/ruby-2.2.4/gems/dynflow-0.8.10/lib/dynflow/execution_plan/steps/abstract.rb:155:in `with_meta_calculation'
/home/vagrant/.rvm/gems/ruby-2.2.4/gems/dynflow-0.8.10/lib/dynflow/execution_plan/steps/plan_step.rb:53:in `execute'
/home/vagrant/.rvm/gems/ruby-2.2.4/gems/dynflow-0.8.10/lib/dynflow/action.rb:392:in `plan_action'
/home/vagrant/katello/app/lib/actions/katello/content_view/capsule_generate_and_sync.rb:13:in `block (3 levels) in plan'
/home/vagrant/katello/app/lib/actions/katello/content_view/capsule_generate_and_sync.rb:12:in `each'
/home/vagrant/katello/app/lib/actions/katello/content_view/capsule_generate_and_sync.rb:12:in `block (2 levels) in plan'
/home/vagrant/.rvm/gems/ruby-2.2.4/gems/dynflow-0.8.10/lib/dynflow/execution_plan.rb:277:in `call'
/home/vagrant/.rvm/gems/ruby-2.2.4/gems/dynflow-0.8.10/lib/dynflow/execution_plan.rb:277:in `switch_flow'
/home/vagrant/.rvm/gems/ruby-2.2.4/gems/dynflow-0.8.10/lib/dynflow/action.rb:364:in `concurrence'
/home/vagrant/katello/app/lib/actions/katello/content_view/capsule_generate_and_sync.rb:11:in `block in plan'
/home/vagrant/.rvm/gems/ruby-2.2.4/gems/dynflow-0.8.10/lib/dynflow/execution_plan.rb:277:in `call'
/home/vagrant/.rvm/gems/ruby-2.2.4/gems/dynflow-0.8.10/lib/dynflow/execution_plan.rb:277:in `switch_flow'
/home/vagrant/.rvm/gems/ruby-2.2.4/gems/dynflow-0.8.10/lib/dynflow/action.rb:369:in `sequence'
/home/vagrant/katello/app/lib/actions/katello/content_view/capsule_generate_and_sync.rb:10:in `plan'
/home/vagrant/.rvm/gems/ruby-2.2.4/gems/dynflow-0.8.10/lib/dynflow/action.rb:461:in `block (3 levels) in execute_plan'
/home/vagrant/.rvm/gems/ruby-2.2.4/gems/dynflow-0.8.10/lib/dynflow/middleware/stack.rb:26:in `call'
/home/vagrant/.rvm/gems/ruby-2.2.4/gems/dynflow-0.8.10/lib/dynflow/middleware/stack.rb:26:in `pass'
/home/vagrant/.rvm/gems/ruby-2.2.4/gems/dynflow-0.8.10/lib/dynflow/middleware.rb:17:in `pass'
/home/vagrant/.rvm/gems/ruby-2.2.4/gems/dynflow-0.8.10/lib/dynflow/middleware.rb:34:in `plan'
/home/vagrant/.rvm/gems/ruby-2.2.4/gems/dynflow-0.8.10/lib/dynflow/middleware/stack.rb:22:in `call'
/home/vagrant/.rvm/gems/ruby-2.2.4/gems/dynflow-0.8.10/lib/dynflow/middleware/stack.rb:26:in `pass'
/home/vagrant/.rvm/gems/ruby-2.2.4/gems/dynflow-0.8.10/lib/dynflow/middleware.rb:17:in `pass'
/home/vagrant/katello/app/lib/actions/middleware/keep_locale.rb:7:in `plan'
/home/vagrant/.rvm/gems/ruby-2.2.4/gems/dynflow-0.8.10/lib/dynflow/middleware/stack.rb:22:in `call'
/home/vagrant/.rvm/gems/ruby-2.2.4/gems/dynflow-0.8.10/lib/dynflow/middleware/stack.rb:26:in `pass'
/home/vagrant/.rvm/gems/ruby-2.2.4/gems/dynflow-0.8.10/lib/dynflow/middleware.rb:17:in `pass'
/home/vagrant/.rvm/gems/ruby-2.2.4/gems/dynflow-0.8.10/lib/dynflow/middleware.rb:34:in `plan'
/home/vagrant/.rvm/gems/ruby-2.2.4/gems/dynflow-0.8.10/lib/dynflow/middleware/stack.rb:22:in `call'
/home/vagrant/.rvm/gems/ruby-2.2.4/gems/dynflow-0.8.10/lib/dynflow/middleware/world.rb:30:in `execute'
/home/vagrant/.rvm/gems/ruby-2.2.4/gems/dynflow-0.8.10/lib/dynflow/action.rb:460:in `block (2 levels) in execute_plan'
/home/vagrant/.rvm/gems/ruby-2.2.4/gems/dynflow-0.8.10/lib/dynflow/execution_plan.rb:277:in `call'
/home/vagrant/.rvm/gems/ruby-2.2.4/gems/dynflow-0.8.10/lib/dynflow/execution_plan.rb:277:in `switch_flow'
/home/vagrant/.rvm/gems/ruby-2.2.4/gems/dynflow-0.8.10/lib/dynflow/action.rb:364:in `concurrence'
/home/vagrant/.rvm/gems/ruby-2.2.4/gems/dynflow-0.8.10/lib/dynflow/action.rb:459:in `block in execute_plan'
/home/vagrant/.rvm/gems/ruby-2.2.4/gems/dynflow-0.8.10/lib/dynflow/action.rb:419:in `call'
/home/vagrant/.rvm/gems/ruby-2.2.4/gems/dynflow-0.8.10/lib/dynflow/action.rb:419:in `block in with_error_handling'
/home/vagrant/.rvm/gems/ruby-2.2.4/gems/dynflow-0.8.10/lib/dynflow/action.rb:419:in `catch'
/home/vagrant/.rvm/gems/ruby-2.2.4/gems/dynflow-0.8.10/lib/dynflow/action.rb:419:in `with_error_handling'
/home/vagrant/.rvm/gems/ruby-2.2.4/gems/dynflow-0.8.10/lib/dynflow/action.rb:458:in `execute_plan'
/home/vagrant/.rvm/gems/ruby-2.2.4/gems/dynflow-0.8.10/lib/dynflow/action.rb:260:in `execute'
/home/vagrant/.rvm/gems/ruby-2.2.4/gems/dynflow-0.8.10/lib/dynflow/execution_plan/steps/plan_step.rb:54:in `block in execute'
/home/vagrant/.rvm/gems/ruby-2.2.4/gems/dynflow-0.8.10/lib/dynflow/execution_plan/steps/abstract.rb:155:in `call'
/home/vagrant/.rvm/gems/ruby-2.2.4/gems/dynflow-0.8.10/lib/dynflow/execution_plan/steps/abstract.rb:155:in `with_meta_calculation'
/home/vagrant/.rvm/gems/ruby-2.2.4/gems/dynflow-0.8.10/lib/dynflow/execution_plan/steps/plan_step.rb:53:in `execute'
/home/vagrant/.rvm/gems/ruby-2.2.4/gems/dynflow-0.8.10/lib/dynflow/execution_plan.rb:187:in `block (2 levels) in plan'
/home/vagrant/.rvm/gems/ruby-2.2.4/gems/dynflow-0.8.10/lib/dynflow/execution_plan.rb:277:in `call'
/home/vagrant/.rvm/gems/ruby-2.2.4/gems/dynflow-0.8.10/lib/dynflow/execution_plan.rb:277:in `switch_flow'
/home/vagrant/.rvm/gems/ruby-2.2.4/gems/dynflow-0.8.10/lib/dynflow/execution_plan.rb:267:in `with_planning_scope'
/home/vagrant/.rvm/gems/ruby-2.2.4/gems/dynflow-0.8.10/lib/dynflow/execution_plan.rb:186:in `block in plan'
/home/vagrant/.rvm/gems/ruby-2.2.4/gems/dynflow-0.8.10/lib/dynflow/middleware/stack.rb:26:in `call'
/home/vagrant/.rvm/gems/ruby-2.2.4/gems/dynflow-0.8.10/lib/dynflow/middleware/stack.rb:26:in `pass'
/home/vagrant/.rvm/gems/ruby-2.2.4/gems/dynflow-0.8.10/lib/dynflow/middleware.rb:17:in `pass'
/home/vagrant/.rvm/gems/ruby-2.2.4/gems/dynflow-0.8.10/lib/dynflow/middleware.rb:42:in `plan_phase'
/home/vagrant/.rvm/gems/ruby-2.2.4/gems/dynflow-0.8.10/lib/dynflow/middleware/stack.rb:22:in `call'
/home/vagrant/.rvm/gems/ruby-2.2.4/gems/dynflow-0.8.10/lib/dynflow/middleware/stack.rb:26:in `pass'
/home/vagrant/.rvm/gems/ruby-2.2.4/gems/dynflow-0.8.10/lib/dynflow/middleware.rb:17:in `pass'
/home/vagrant/.rvm/gems/ruby-2.2.4/gems/dynflow-0.8.10/lib/dynflow/middleware.rb:42:in `plan_phase'
/home/vagrant/.rvm/gems/ruby-2.2.4/gems/dynflow-0.8.10/lib/dynflow/middleware/stack.rb:22:in `call'
/home/vagrant/.rvm/gems/ruby-2.2.4/gems/dynflow-0.8.10/lib/dynflow/middleware/stack.rb:26:in `pass'
/home/vagrant/.rvm/gems/ruby-2.2.4/gems/dynflow-0.8.10/lib/dynflow/middleware.rb:17:in `pass'
/home/vagrant/.rvm/gems/ruby-2.2.4/gems/dynflow-0.8.10/lib/dynflow/middleware/common/transaction.rb:16:in `block in rollback_on_error'
/home/vagrant/.rvm/gems/ruby-2.2.4/gems/activerecord-4.1.14.1/lib/active_record/connection_adapters/abstract/database_statements.rb:201:in `block in transaction'
/home/vagrant/.rvm/gems/ruby-2.2.4/gems/activerecord-4.1.14.1/lib/active_record/connection_adapters/abstract/database_statements.rb:209:in `within_new_transaction'
/home/vagrant/.rvm/gems/ruby-2.2.4/gems/activerecord-4.1.14.1/lib/active_record/connection_adapters/abstract/database_statements.rb:201:in `transaction'
/home/vagrant/.rvm/gems/ruby-2.2.4/gems/activerecord-4.1.14.1/lib/active_record/transactions.rb:208:in `transaction'
/home/vagrant/.rvm/gems/ruby-2.2.4/gems/dynflow-0.8.10/lib/dynflow/transaction_adapters/active_record.rb:5:in `transaction'
/home/vagrant/.rvm/gems/ruby-2.2.4/gems/dynflow-0.8.10/lib/dynflow/middleware/common/transaction.rb:15:in `rollback_on_error'
/home/vagrant/.rvm/gems/ruby-2.2.4/gems/dynflow-0.8.10/lib/dynflow/middleware/common/transaction.rb:5:in `plan_phase'
/home/vagrant/.rvm/gems/ruby-2.2.4/gems/dynflow-0.8.10/lib/dynflow/middleware/stack.rb:22:in `call'
/home/vagrant/.rvm/gems/ruby-2.2.4/gems/dynflow-0.8.10/lib/dynflow/middleware/world.rb:30:in `execute'
/home/vagrant/.rvm/gems/ruby-2.2.4/gems/dynflow-0.8.10/lib/dynflow/execution_plan.rb:185:in `plan'
/home/vagrant/.rvm/gems/ruby-2.2.4/gems/dynflow-0.8.10/lib/dynflow/world.rb:168:in `block in plan'
/home/vagrant/.rvm/gems/ruby-2.2.4/gems/dynflow-0.8.10/lib/dynflow/world.rb:166:in `tap'
/home/vagrant/.rvm/gems/ruby-2.2.4/gems/dynflow-0.8.10/lib/dynflow/world.rb:166:in `plan'
/home/vagrant/.rvm/gems/ruby-2.2.4/gems/dynflow-0.8.10/lib/dynflow/world.rb:142:in `trigger'
/home/vagrant/.rvm/gems/ruby-2.2.4/gems/foreman-tasks-0.7.14/lib/foreman_tasks.rb:18:in `trigger'
/home/vagrant/.rvm/gems/ruby-2.2.4/gems/foreman-tasks-0.7.14/lib/foreman_tasks.rb:24:in `trigger_task'
/home/vagrant/.rvm/gems/ruby-2.2.4/gems/foreman-tasks-0.7.14/lib/foreman_tasks.rb:35:in `async_task'
/home/vagrant/katello/app/lib/actions/katello/content_view/publish.rb:52:in `run'
/home/vagrant/.rvm/gems/ruby-2.2.4/gems/dynflow-0.8.10/lib/dynflow/action.rb:506:in `block (3 levels) in execute_run'
/home/vagrant/.rvm/gems/ruby-2.2.4/gems/dynflow-0.8.10/lib/dynflow/middleware/stack.rb:26:in `call'
/home/vagrant/.rvm/gems/ruby-2.2.4/gems/dynflow-0.8.10/lib/dynflow/middleware/stack.rb:26:in `pass'
/home/vagrant/.rvm/gems/ruby-2.2.4/gems/dynflow-0.8.10/lib/dynflow/middleware.rb:17:in `pass'
/home/vagrant/.rvm/gems/ruby-2.2.4/gems/foreman-tasks-0.7.14/app/lib/actions/middleware/keep_current_user.rb:30:in `block in run'
/home/vagrant/.rvm/gems/ruby-2.2.4/gems/foreman-tasks-0.7.14/app/lib/actions/middleware/keep_current_user.rb:53:in `restore_curent_user'
/home/vagrant/.rvm/gems/ruby-2.2.4/gems/foreman-tasks-0.7.14/app/lib/actions/middleware/keep_current_user.rb:30:in `run'
/home/vagrant/.rvm/gems/ruby-2.2.4/gems/dynflow-0.8.10/lib/dynflow/middleware/stack.rb:22:in `call'
/home/vagrant/.rvm/gems/ruby-2.2.4/gems/dynflow-0.8.10/lib/dynflow/middleware/stack.rb:26:in `pass'
/home/vagrant/.rvm/gems/ruby-2.2.4/gems/dynflow-0.8.10/lib/dynflow/middleware.rb:17:in `pass'
/home/vagrant/.rvm/gems/ruby-2.2.4/gems/dynflow-0.8.10/lib/dynflow/action/progress.rb:30:in `with_progress_calculation'
/home/vagrant/.rvm/gems/ruby-2.2.4/gems/dynflow-0.8.10/lib/dynflow/action/progress.rb:16:in `run'
/home/vagrant/.rvm/gems/ruby-2.2.4/gems/dynflow-0.8.10/lib/dynflow/middleware/stack.rb:22:in `call'
/home/vagrant/.rvm/gems/ruby-2.2.4/gems/dynflow-0.8.10/lib/dynflow/middleware/stack.rb:26:in `pass'
/home/vagrant/.rvm/gems/ruby-2.2.4/gems/dynflow-0.8.10/lib/dynflow/middleware.rb:17:in `pass'
/home/vagrant/katello/app/lib/actions/middleware/keep_locale.rb:11:in `block in run'
/home/vagrant/katello/app/lib/actions/middleware/keep_locale.rb:22:in `with_locale'
/home/vagrant/katello/app/lib/actions/middleware/keep_locale.rb:11:in `run'
/home/vagrant/.rvm/gems/ruby-2.2.4/gems/dynflow-0.8.10/lib/dynflow/middleware/stack.rb:22:in `call'
/home/vagrant/.rvm/gems/ruby-2.2.4/gems/dynflow-0.8.10/lib/dynflow/middleware/stack.rb:26:in `pass'
/home/vagrant/.rvm/gems/ruby-2.2.4/gems/dynflow-0.8.10/lib/dynflow/middleware.rb:17:in `pass'
/home/vagrant/.rvm/gems/ruby-2.2.4/gems/dynflow-0.8.10/lib/dynflow/middleware.rb:30:in `run'
/home/vagrant/.rvm/gems/ruby-2.2.4/gems/dynflow-0.8.10/lib/dynflow/middleware/stack.rb:22:in `call'
/home/vagrant/.rvm/gems/ruby-2.2.4/gems/dynflow-0.8.10/lib/dynflow/middleware/world.rb:30:in `execute'
/home/vagrant/.rvm/gems/ruby-2.2.4/gems/dynflow-0.8.10/lib/dynflow/action.rb:505:in `block (2 levels) in execute_run'
/home/vagrant/.rvm/gems/ruby-2.2.4/gems/dynflow-0.8.10/lib/dynflow/action.rb:504:in `catch'
/home/vagrant/.rvm/gems/ruby-2.2.4/gems/dynflow-0.8.10/lib/dynflow/action.rb:504:in `block in execute_run'
/home/vagrant/.rvm/gems/ruby-2.2.4/gems/dynflow-0.8.10/lib/dynflow/action.rb:419:in `call'
/home/vagrant/.rvm/gems/ruby-2.2.4/gems/dynflow-0.8.10/lib/dynflow/action.rb:419:in `block in with_error_handling'
/home/vagrant/.rvm/gems/ruby-2.2.4/gems/dynflow-0.8.10/lib/dynflow/action.rb:419:in `catch'
/home/vagrant/.rvm/gems/ruby-2.2.4/gems/dynflow-0.8.10/lib/dynflow/action.rb:419:in `with_error_handling'
/home/vagrant/.rvm/gems/ruby-2.2.4/gems/dynflow-0.8.10/lib/dynflow/action.rb:499:in `execute_run'
/home/vagrant/.rvm/gems/ruby-2.2.4/gems/dynflow-0.8.10/lib/dynflow/action.rb:260:in `execute'
/home/vagrant/.rvm/gems/ruby-2.2.4/gems/dynflow-0.8.10/lib/dynflow/execution_plan/steps/abstract_flow_step.rb:9:in `block (2 levels) in execute'
/home/vagrant/.rvm/gems/ruby-2.2.4/gems/dynflow-0.8.10/lib/dynflow/execution_plan/steps/abstract.rb:155:in `call'
/home/vagrant/.rvm/gems/ruby-2.2.4/gems/dynflow-0.8.10/lib/dynflow/execution_plan/steps/abstract.rb:155:in `with_meta_calculation'
/home/vagrant/.rvm/gems/ruby-2.2.4/gems/dynflow-0.8.10/lib/dynflow/execution_plan/steps/abstract_flow_step.rb:8:in `block in execute'
/home/vagrant/.rvm/gems/ruby-2.2.4/gems/dynflow-0.8.10/lib/dynflow/execution_plan/steps/abstract_flow_step.rb:22:in `open_action'
/home/vagrant/.rvm/gems/ruby-2.2.4/gems/dynflow-0.8.10/lib/dynflow/execution_plan/steps/abstract_flow_step.rb:7:in `execute'
/home/vagrant/.rvm/gems/ruby-2.2.4/gems/dynflow-0.8.10/lib/dynflow/executors/parallel/worker.rb:15:in `block in on_message'
/home/vagrant/.rvm/gems/ruby-2.2.4/gems/algebrick-0.7.3/lib/algebrick/matchers/abstract.rb:74:in `block in assigns'
/home/vagrant/.rvm/gems/ruby-2.2.4/gems/algebrick-0.7.3/lib/algebrick/matchers/abstract.rb:73:in `tap'
/home/vagrant/.rvm/gems/ruby-2.2.4/gems/algebrick-0.7.3/lib/algebrick/matchers/abstract.rb:73:in `assigns'
/home/vagrant/.rvm/gems/ruby-2.2.4/gems/algebrick-0.7.3/lib/algebrick/matching.rb:56:in `match_value'
/home/vagrant/.rvm/gems/ruby-2.2.4/gems/algebrick-0.7.3/lib/algebrick/matching.rb:36:in `block in match?'
/home/vagrant/.rvm/gems/ruby-2.2.4/gems/algebrick-0.7.3/lib/algebrick/matching.rb:35:in `each'
/home/vagrant/.rvm/gems/ruby-2.2.4/gems/algebrick-0.7.3/lib/algebrick/matching.rb:35:in `match?'
/home/vagrant/.rvm/gems/ruby-2.2.4/gems/algebrick-0.7.3/lib/algebrick/matching.rb:23:in `match'
/home/vagrant/.rvm/gems/ruby-2.2.4/gems/dynflow-0.8.10/lib/dynflow/executors/parallel/worker.rb:12:in `on_message'
/home/vagrant/.rvm/gems/ruby-2.2.4/gems/concurrent-ruby-edge-0.2.1/lib/concurrent/actor/context.rb:46:in `on_envelope'
/home/vagrant/.rvm/gems/ruby-2.2.4/gems/concurrent-ruby-edge-0.2.1/lib/concurrent/actor/behaviour/executes_context.rb:7:in `on_envelope'
/home/vagrant/.rvm/gems/ruby-2.2.4/gems/concurrent-ruby-edge-0.2.1/lib/concurrent/actor/behaviour/abstract.rb:25:in `pass'
/home/vagrant/.rvm/gems/ruby-2.2.4/gems/dynflow-0.8.10/lib/dynflow/actor.rb:26:in `on_envelope'
/home/vagrant/.rvm/gems/ruby-2.2.4/gems/concurrent-ruby-edge-0.2.1/lib/concurrent/actor/behaviour/abstract.rb:25:in `pass'
/home/vagrant/.rvm/gems/ruby-2.2.4/gems/concurrent-ruby-edge-0.2.1/lib/concurrent/actor/behaviour/awaits.rb:15:in `on_envelope'
/home/vagrant/.rvm/gems/ruby-2.2.4/gems/concurrent-ruby-edge-0.2.1/lib/concurrent/actor/behaviour/abstract.rb:25:in `pass'
/home/vagrant/.rvm/gems/ruby-2.2.4/gems/concurrent-ruby-edge-0.2.1/lib/concurrent/actor/behaviour/sets_results.rb:14:in `on_envelope'
/home/vagrant/.rvm/gems/ruby-2.2.4/gems/concurrent-ruby-edge-0.2.1/lib/concurrent/actor/behaviour/abstract.rb:25:in `pass'
/home/vagrant/.rvm/gems/ruby-2.2.4/gems/concurrent-ruby-edge-0.2.1/lib/concurrent/actor/behaviour/buffer.rb:38:in `process_envelope'
/home/vagrant/.rvm/gems/ruby-2.2.4/gems/concurrent-ruby-edge-0.2.1/lib/concurrent/actor/behaviour/buffer.rb:31:in `process_envelopes?'
/home/vagrant/.rvm/gems/ruby-2.2.4/gems/concurrent-ruby-edge-0.2.1/lib/concurrent/actor/behaviour/buffer.rb:20:in `on_envelope'
/home/vagrant/.rvm/gems/ruby-2.2.4/gems/concurrent-ruby-edge-0.2.1/lib/concurrent/actor/behaviour/abstract.rb:25:in `pass'
/home/vagrant/.rvm/gems/ruby-2.2.4/gems/concurrent-ruby-edge-0.2.1/lib/concurrent/actor/behaviour/termination.rb:55:in `on_envelope'
/home/vagrant/.rvm/gems/ruby-2.2.4/gems/concurrent-ruby-edge-0.2.1/lib/concurrent/actor/behaviour/abstract.rb:25:in `pass'
/home/vagrant/.rvm/gems/ruby-2.2.4/gems/concurrent-ruby-edge-0.2.1/lib/concurrent/actor/behaviour/removes_child.rb:10:in `on_envelope'
/home/vagrant/.rvm/gems/ruby-2.2.4/gems/concurrent-ruby-edge-0.2.1/lib/concurrent/actor/behaviour/abstract.rb:25:in `pass'
/home/vagrant/.rvm/gems/ruby-2.2.4/gems/concurrent-ruby-edge-0.2.1/lib/concurrent/actor/behaviour/sets_results.rb:14:in `on_envelope'
/home/vagrant/.rvm/gems/ruby-2.2.4/gems/concurrent-ruby-edge-0.2.1/lib/concurrent/actor/core.rb:161:in `process_envelope'
/home/vagrant/.rvm/gems/ruby-2.2.4/gems/concurrent-ruby-edge-0.2.1/lib/concurrent/actor/core.rb:95:in `block in on_envelope'
/home/vagrant/.rvm/gems/ruby-2.2.4/gems/concurrent-ruby-edge-0.2.1/lib/concurrent/actor/core.rb:118:in `block (2 levels) in schedule_execution'
/home/vagrant/.rvm/gems/ruby-2.2.4/gems/concurrent-ruby-1.0.1/lib/concurrent/synchronization/mri_lockable_object.rb:38:in `block in synchronize'
/home/vagrant/.rvm/gems/ruby-2.2.4/gems/concurrent-ruby-1.0.1/lib/concurrent/synchronization/mri_lockable_object.rb:38:in `synchronize'
/home/vagrant/.rvm/gems/ruby-2.2.4/gems/concurrent-ruby-1.0.1/lib/concurrent/synchronization/mri_lockable_object.rb:38:in `synchronize'
/home/vagrant/.rvm/gems/ruby-2.2.4/gems/concurrent-ruby-edge-0.2.1/lib/concurrent/actor/core.rb:115:in `block in schedule_execution'
/home/vagrant/.rvm/gems/ruby-2.2.4/gems/concurrent-ruby-1.0.1/lib/concurrent/executor/serialized_execution.rb:18:in `call'
/home/vagrant/.rvm/gems/ruby-2.2.4/gems/concurrent-ruby-1.0.1/lib/concurrent/executor/serialized_execution.rb:18:in `call'
/home/vagrant/.rvm/gems/ruby-2.2.4/gems/concurrent-ruby-1.0.1/lib/concurrent/executor/serialized_execution.rb:96:in `work'
/home/vagrant/.rvm/gems/ruby-2.2.4/gems/concurrent-ruby-1.0.1/lib/concurrent/executor/serialized_execution.rb:77:in `block in call_job'
/home/vagrant/.rvm/gems/ruby-2.2.4/gems/concurrent-ruby-1.0.1/lib/concurrent/executor/ruby_thread_pool_executor.rb:348:in `call'
/home/vagrant/.rvm/gems/ruby-2.2.4/gems/concurrent-ruby-1.0.1/lib/concurrent/executor/ruby_thread_pool_executor.rb:348:in `run_task'
/home/vagrant/.rvm/gems/ruby-2.2.4/gems/concurrent-ruby-1.0.1/lib/concurrent/executor/ruby_thread_pool_executor.rb:337:in `block (3 levels) in create_worker'
/home/vagrant/.rvm/gems/ruby-2.2.4/gems/concurrent-ruby-1.0.1/lib/concurrent/executor/ruby_thread_pool_executor.rb:320:in `loop'
/home/vagrant/.rvm/gems/ruby-2.2.4/gems/concurrent-ruby-1.0.1/lib/concurrent/executor/ruby_thread_pool_executor.rb:320:in `block (2 levels) in create_worker'
/home/vagrant/.rvm/gems/ruby-2.2.4/gems/concurrent-ruby-1.0.1/lib/concurrent/executor/ruby_thread_pool_executor.rb:319:in `catch'
/home/vagrant/.rvm/gems/ruby-2.2.4/gems/concurrent-ruby-1.0.1/lib/concurrent/executor/ruby_thread_pool_executor.rb:319:in `block in create_worker'
/home/vagrant/.rvm/gems/ruby-2.2.4/gems/logging-2.0.0/lib/logging/diagnostic_context.rb:448:in `call'
/home/vagrant/.rvm/gems/ruby-2.2.4/gems/logging-2.0.0/lib/logging/diagnostic_context.rb:448:in `block in create_with_logging_context'
</pre>

Comment 1 John Mitsch 2016-03-18 17:49:51 UTC
Created from redmine issue http://projects.theforeman.org/issues/13998

Comment 2 John Mitsch 2016-03-18 18:02:41 UTC
IMPORTANT UPDATE:

This is a bug only if you have a capsule set up. The content view puppet environment is trying to sync with the capsule when you publish the content view puppet environment. If testing, make sure a capsule sync runs fine with a published content view that contains a puppet environment.

Comment 4 John Mitsch 2016-03-18 18:04:22 UTC
This has been fixed upstream

https://github.com/Katello/katello/pull/5855

Comment 5 Bryan Kearney 2016-03-18 18:10:55 UTC
Upstream bug assigned to jomitsch@redhat.com

Comment 6 Bryan Kearney 2016-03-18 18:10:57 UTC
Moving to POST since upstream bug http://projects.theforeman.org/issues/13998 has been closed
-------------
John Mitsch
Applied in changeset commit:katello|a3619c112218eb63985dacd1e2a056013d46470c.

Comment 8 Jitendra Yejare 2016-05-19 10:24:09 UTC
Failed QA !

@ sat 6.2 snap 11

I created a CV with puppet module and published it to Library. I synced capsule which has 'Library' environment selected/added.

While sync was in progress I hit error:
pulp: pulp_puppet.plugins.importers.directory:ERROR: Fetch URL: https://qeblade36.rhq.lab.eng.bos.redhat.com/pulp/puppet/Default_Organization-Library-puppet_cv/PULP_MANIFEST failed: Not Found

When I manually check existance of puppet module in CV published folder : /var/lib/pulp/published/puppet/https/repos/Default_Organization-Library-puppet_cv/, I didnt find the module.

But I find the module in repo directory:
/var/lib/pulp/published/puppet/https/repos/Default_Organization-puppet_pro-puppet_repo/system/releases/o/openstack/openstack-nova-7.0.0.tar.gz

So moving this but to Failed QA.

Comment 9 John Mitsch 2016-05-19 15:12:29 UTC
Are we sure that this change was pulled into a snap? It looks like it was not from quick glance at the code.

Comment 11 John Mitsch 2016-05-20 14:31:58 UTC
Jitendra,

I see the same error you are seeing upstream. Talking to a member of the pulp team about this, that error seems like a separate bug. I was still able to successfully run syncs containing a puppet module to a capsule.

Unless you are getting puppet module related errors on a capsule sync task, I propose we move this bug to Verified and open up a new bug for the PULP_MANIFEST error. 

-John

Comment 12 John Mitsch 2016-05-20 14:58:19 UTC
Also, I was able to find the puppet module in that content view directory -

/var/lib/pulp/published/puppet/https/repos/Default_Organization-Library-puppet_cv/system/releases/o/openstack/openstack-nova-7.0.0.tar.gz

Comment 13 Jitendra Yejare 2016-05-20 15:18:56 UTC
As per comment 11 from John the issue/error mentioned in comment 8 is not related to this bug and so I raised a separate bug for comment 8 error : https://bugzilla.redhat.com/show_bug.cgi?id=1337979

About comment 12, I told John on IRC that the puppet module is there in satellite but on capsule sync it should be copied to content-view directory of capsule.

Moving this bug to verified.

Comment 15 errata-xmlrpc 2016-07-27 09:27:56 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2016:1501


Note You need to log in before you can comment on or make changes to this bug.